Bug 116169 - Printer Definition fails asking for username/password
Printer Definition fails asking for username/password
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: redhat-config-printer (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-18 14:08 EST by Gerry Tool
Modified: 2008-05-06 19:58 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 19:58:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gerry Tool 2004-02-18 14:08:29 EST
Description of problem: Using Printing Manager from KDE menu Settings
> Printing Manager, after setting up all the printer attributes, it
presented an Authorization Dialog asking for a Username and Password.
Using the root values, it failed. It asked twice before presenting the
failure dialog. 
I then retried using my user values, and the same thing repeated.
I have all the printing packages provided in rawhide today installed.



Version-Release number of selected component (if applicable):
Latest rawhide-provided packages as of 2/18/04 12:00 est.

How reproducible:
Always

Steps to Reproduce:
1.Select from KDE menu Settings > Printing Manager
2.Set up a printer (in this case it is a network LPD printer)
3.
  
Actual results: App asks for username/password, but fails to use. 
Printer is actually defined, but without requested driver.


Expected results: Ask for and accept root username/password and
proceed with definition

Additional info: App initially indicated that printing system was
LPD/LPRNG.  Changed to CUPS before proceeding.  Default should be CUPS?
Comment 1 Gerry Tool 2004-02-18 14:14:49 EST
I logged out, logged in as root to see if I could set it up.  It was 
already defined!  Logged back in as a user, printer was flagged with 
a problem. Opened Gnome Print Manager. Decided to edit the printer - 
this time it asked me for a root password and let me edit it.  I 
found that it was set up as Raw rather than as a PCL6 that I had 
tried to set up.   Changed, and the printer now works from gedit, 
but prints blank pages (except for footer) from kwrite. 
 
Comment 2 John Thacker 2006-10-29 17:52:43 EST
[This is a mass update sent to many bugs that missed earlier such messages due
to having their version set to a test version.]

This bug was originally filed against a version of Fedora Core which is no
longer supported, even for security updates.  Many changes have occured since
then.  Please retest this bug against a still supported version.  Note that FC3
and FC4 are supported by Fedora Legacy for security fixes only.  If
it still occurs on FC5 or FC6, please assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.

This bug will be closed after a few weeks if no information is given indicating
that the bug is still present in a supported release.
Comment 3 Bug Zapper 2008-04-03 11:32:43 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 4 Bug Zapper 2008-05-06 19:58:09 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Note You need to log in before you can comment on or make changes to this bug.